> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galtea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get test types used by the organization

> Retrieves the non-repeated test types of all the products of the user's organization. See [Tests](https://docs.galtea.ai/concepts/product/test).



## OpenAPI

````yaml https://api.galtea.ai/openapi.json get /tests/types
openapi: 3.0.0
info:
  version: 1.0.0
  title: Product Management Service API
  description: API documentation for Product Management Service
  contact:
    name: Galtea AI
servers:
  - url: https://api.galtea.ai
security:
  - bearerAuth: []
tags: []
externalDocs:
  description: Galtea Platform Documentation
  url: https://docs.galtea.ai
paths:
  /tests/types:
    get:
      tags:
        - tests
      summary: Get test types used by the organization
      description: >-
        Retrieves the non-repeated test types of all the products of the user's
        organization. See [Tests](https://docs.galtea.ai/concepts/product/test).
      operationId: getTestTypes
      parameters:
        - name: productIds
          in: query
          style: form
          explode: true
          description: Filter by product IDs
          required: false
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: Test types retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  types:
                    type: array
                    items:
                      type: string
                    example:
                      - QUALITY
                      - RED_TEAMING
                      - SCENARIOS
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          example: Error type
        message:
          type: string
          example: Error message description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authorization. Pass your API key in the Authorization header as
        a Bearer token. Both new (`gsk_*`) and legacy (`gsk-`) API keys are
        accepted, e.g. `Authorization: Bearer gsk_...` or `Authorization: Bearer
        gsk-...`.

````